Subject: bug#12407: url-retrieve-synchronously fails when passed a vector as URL argument

From: upgradingdave <[email-masked]>
Date: Wed, 12 Sep 2012 08:24:27 -0400

Thanks for checking into this so quickly. The computer where I saw the
problem was using the latest emacs-snapshot Ubuntu RPM package and so I bet
that is slightly behind the current trunk.

I'll check current trunk before sending a bug report next time.

Thanks also for the tips for submitting bug reports, I'll include a stack
trace as well as more context next time!

Dave

On Wed, Sep 12, 2012 at 3:47 AM, Glenn Morris <[email-masked]> wrote:

> upgradingdave wrote:
>
> > `url-retrieve-synchronously` docs claims to accept a parsed URL vector as
> > an argument, but in latest version of emacs 24.1.50 it seems to break
> when
> > passed a URL vector. For example, this throws an error:
> >
> > (url-retrieve-synchronously
> >         (url-generic-parse-url
> >          (concat "http://search.maven.org" "/solrsearch/select?q=\""
> >                  "log4j" "\"&rows=20&wt=json")))
>
> Thanks for the report, but this works fine in the current trunk.
>
> > I think the problem is the following (line 185 of url.el.gz) should
> > first check to make sure the URL is not a vector:
> >
> >   (setq url (url-encode-url url))
>
> Such a check was added back in June:
>
>     http://lists.gnu.org/archive/html/emacs-diffs/2012-06/msg00249.html
>
> It seems your sources must be rather out-of-date (they claim to date
> from the end of July).
>
> > This is my first time submitting a bug report, so if you need any more
> > info, please let me know.
>
> For your next bug report; "throws an error" is vague. Please include the
> exact error message (ideally set debug-on-error t and post the
> backtrace). Also, saying "line X of file Y" is vague, because we don't
> know exactly what your copy of file Y looks like. It is better to quote
> a few lines of context. Or even better, send a patch! :)
>
> > In GNU Emacs 24.1.50.1 (x86_64-pc-linux-gnu, GTK+ Version 3.2.0)
> >  of 2012-07-28 on meitnerium, modified by Debian
>

-- 
Preferred Version LLC
m. 703.989.3562